#pragma once

#define MAX_WIDTH  1000
#define MAX_HEIGHT 1000

class CMyData
{
public:
	int Max_Array_Width;
	int Max_Array_Height;

	char cSelectedChar;
public:
	void ClearArray(char p)
	{
		//Init the array to all "";
		for(int x=0; x<MAX_WIDTH; x++)
			for(int y=0; y<MAX_HEIGHT; y++)
			{
				array[x][y] = p;
			}
	}

	CMyData(void)
	{
		Max_Array_Width = MAX_WIDTH;
		Max_Array_Height = MAX_HEIGHT;

		ClearArray(' ');

	};
	~CMyData(void){};

public:
	int avg_char_width;
	int avg_char_height;
	int avg_caps_width;

	char array[MAX_WIDTH][MAX_HEIGHT];

public:

	void CmSave(char* FileName)
	{
		FILE* fp = fopen(FileName, "w");
		
		// Loop through the array of characters, and find widest width and height.
		int widest  = 0;
		int highest = 0;

		for(int y=0; y<Max_Array_Height-1; y++)
		{
			for(int x=0; x<Max_Array_Width-1; x++)
			{
				if( array[x][y] != ' ' )
				{
					if( x > widest)
						widest = x;
					if( y > highest)
					highest = y;
				}
			}	
		}
		
		for(int y=0; y<highest+1; y++)
		{
			for(int x=0; x<widest+1; x++)
			{
				fputc(array[x][y],fp);
				//char* b = &(array[x][y]);
				//fwrite(b, 1, 1, fp);
			}
			fputc('\n', fp);
			//fwrite(&'\n', 1, 1, fp);
		}

		fclose(fp);
	}

	void CmOpen(char* FileName)
	{
		FILE* fp = fopen(FileName, "r");
		
		for(int y=0; y<MAX_HEIGHT; y++)
		{
			for(int x=0; x<MAX_WIDTH; x++)
			{
				char cc = fgetc(fp);
				if(cc == EOF)
					return;
				if(cc == '\n')
					break;
				array[x][y] = cc;
			}
		}

		fclose(fp);
	}

};
