#pragma once

#include "Resource.h"

// CMySelectCharPopUp dialog
#define NUMBUTTONS 238

class CMySelectCharPopUp : public CDialog
{
public:
	bool bVisible;

	CButton ButtonList[NUMBUTTONS];

	CPoint pp;

public:
	CMySelectCharPopUp(CWnd* pParent):CDialog(IDD_SELECTCHAR)
	{
		Create(IDD_SELECTCHAR, NULL);
		
		CRect r;
		GetClientRect(&r);

		int w = r.right;
		int h = r.bottom;

		int BW = 17;
		int s = 10; //s for start offset from corner ;)

		int count = 0;

		char cChar[] = "A";
		
		for( int ypos =0; ypos<14; ypos++)
		{
			for( int xpos=0; xpos<17; xpos++)
			{
				ButtonList[count].Create(cChar, WS_CHILD|BS_PUSHBUTTON, 
					CRect(s+BW*xpos,s+BW*ypos,s+BW*xpos+BW,s+BW*ypos+BW), 
					this, 500);

				cChar[0] ++;
				count++;
			}
		}

		bVisible = false;


	};   // standard constructor
	virtual ~CMySelectCharPopUp(){};


	afx_msg void OnKillFocus(CWnd* pNewWnd)
	{
		CDialog::OnKillFocus(pNewWnd);

		//ShowWindow(SW_HIDE);
		//bVisible = false;
	}

	afx_msg void OnCaptureChanged(CWnd* pWnd )
	{
		//MessageBox("CaptureChagen");
	}

	afx_msg void OnNcLButtonDown( UINT i, CPoint p )
	{
		CDialog::OnNcLButtonDown( i, p);
		//ShowWindow(SW_HIDE);
		//bVisible = false;
	}
	afx_msg void OnLButtonDown(UINT n, CPoint p )
	{
		CDialog::OnLButtonDown(n, p);
		pp = p;
	}

	afx_msg void OnRButtonDown(UINT n, CPoint p )
	{
		ShowWindow(SW_HIDE);
		bVisible = false;
	}

	afx_msg void OnDestroy()
	{
		delete this;
	}

	afx_msg void OnShowWindow( BOOL bShow, UINT nStatus)
	{
		CDialog::OnShowWindow(bShow, nStatus);

		if( bShow == TRUE)
		{
			for( int cc=0; cc<NUMBUTTONS; cc++)
			{
					ButtonList[cc].ShowWindow(SW_SHOW);
			}
		}
		else
			GetParent()->Invalidate();
	}

	afx_msg void CmNewCharSelected()
	{
		CString ss;
		this->GetFocus()->GetWindowText(ss);
	
		GetParent()->SendMessage(CM_CHARCHANGE, (WPARAM)(LPCTSTR)ss, 0); 
		
		
	}


	DECLARE_MESSAGE_MAP()
};
